package com.ruoyi.project.pssr.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.pssr.mapper.TPssrInstrumentTestMapper;
import com.ruoyi.project.pssr.domain.TPssrInstrumentTest;
import com.ruoyi.project.pssr.service.ITPssrInstrumentTestService;

/**
 * 仪联锁测试Service业务层处理
 *
 * @author ssy
 * @date 2024-09-18
 */
@Service
public class TPssrInstrumentTestServiceImpl implements ITPssrInstrumentTestService
{
    @Autowired
    private TPssrInstrumentTestMapper tPssrInstrumentTestMapper;

    /**
     * 查询仪联锁测试
     *
     * @param id 仪联锁测试ID
     * @return 仪联锁测试
     */
    @Override
    public TPssrInstrumentTest selectTPssrInstrumentTestById(Long id)
    {
        return tPssrInstrumentTestMapper.selectTPssrInstrumentTestById(id);
    }

    /**
     * 查询仪联锁测试列表
     *
     * @param tPssrInstrumentTest 仪联锁测试
     * @return 仪联锁测试
     */
    @Override
    public List<TPssrInstrumentTest> selectTPssrInstrumentTestList(TPssrInstrumentTest tPssrInstrumentTest)
    {
        return tPssrInstrumentTestMapper.selectTPssrInstrumentTestList(tPssrInstrumentTest);
    }

    /**
     * 新增仪联锁测试
     *
     * @param tPssrInstrumentTest 仪联锁测试
     * @return 结果
     */
    @Override
    public int insertTPssrInstrumentTest(TPssrInstrumentTest tPssrInstrumentTest)
    {
        return tPssrInstrumentTestMapper.insertTPssrInstrumentTest(tPssrInstrumentTest);
    }

    /**
     * 修改仪联锁测试
     *
     * @param tPssrInstrumentTest 仪联锁测试
     * @return 结果
     */
    @Override
    public int updateTPssrInstrumentTest(TPssrInstrumentTest tPssrInstrumentTest)
    {
        return tPssrInstrumentTestMapper.updateTPssrInstrumentTest(tPssrInstrumentTest);
    }

    /**
     * 批量删除仪联锁测试
     *
     * @param ids 需要删除的仪联锁测试ID
     * @return 结果
     */
    @Override
    public int deleteTPssrInstrumentTestByIds(Long[] ids)
    {
        return tPssrInstrumentTestMapper.deleteTPssrInstrumentTestByIds(ids);
    }

    /**
     * 删除仪联锁测试信息
     *
     * @param id 仪联锁测试ID
     * @return 结果
     */
    @Override
    public int deleteTPssrInstrumentTestById(Long id)
    {
        return tPssrInstrumentTestMapper.deleteTPssrInstrumentTestById(id);
    }
}
